import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 * @stability stable
 */
export interface DataKubernetesPodConfig extends TerraformMetaArguments {
    /**
     * metadata block.
     *
     * @stability stable
     */
    readonly metadata: DataKubernetesPodMetadata[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecAffinityNodeAffinityPreferredDuringSchedulingIgnoredDuringExecutionPreferenceMatchExpressions extends ComplexComputedList {
    /**
     * @stability stable
     */
    get key(): string;
    /**
     * @stability stable
     */
    get operator(): string;
    /**
     * @stability stable
     */
    get values(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecAffinityNodeAffinityPreferredDuringSchedulingIgnoredDuringExecutionPreference extends ComplexComputedList {
    /**
     * @stability stable
     */
    get matchExpressions(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecAffinityNodeAffinityPreferredDuringSchedulingIgnoredDuringExecution extends ComplexComputedList {
    /**
     * @stability stable
     */
    get preference(): any;
    /**
     * @stability stable
     */
    get weight(): number;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecAffinityNodeAffinityRequiredDuringSchedulingIgnoredDuringExecutionNodeSelectorTermMatchExpressions extends ComplexComputedList {
    /**
     * @stability stable
     */
    get key(): string;
    /**
     * @stability stable
     */
    get operator(): string;
    /**
     * @stability stable
     */
    get values(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecAffinityNodeAffinityRequiredDuringSchedulingIgnoredDuringExecutionNodeSelectorTerm extends ComplexComputedList {
    /**
     * @stability stable
     */
    get matchExpressions(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecAffinityNodeAffinityRequiredDuringSchedulingIgnoredDuringExecution extends ComplexComputedList {
    /**
     * @stability stable
     */
    get nodeSelectorTerm(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecAffinityNodeAffinity extends ComplexComputedList {
    /**
     * @stability stable
     */
    get preferredDuringSchedulingIgnoredDuringExecution(): any;
    /**
     * @stability stable
     */
    get requiredDuringSchedulingIgnoredDuringExecution(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecAffinityPodAffinityPreferredDuringSchedulingIgnoredDuringExecutionPodAffinityTermLabelSelectorMatchExpressions extends ComplexComputedList {
    /**
     * @stability stable
     */
    get key(): string;
    /**
     * @stability stable
     */
    get operator(): string;
    /**
     * @stability stable
     */
    get values(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecAffinityPodAffinityPreferredDuringSchedulingIgnoredDuringExecutionPodAffinityTermLabelSelector extends ComplexComputedList {
    /**
     * @stability stable
     */
    get matchExpressions(): any;
    /**
     * @stability stable
     */
    get matchLabels(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecAffinityPodAffinityPreferredDuringSchedulingIgnoredDuringExecutionPodAffinityTerm extends ComplexComputedList {
    /**
     * @stability stable
     */
    get labelSelector(): any;
    /**
     * @stability stable
     */
    get namespaces(): string[];
    /**
     * @stability stable
     */
    get topologyKey(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecAffinityPodAffinityPreferredDuringSchedulingIgnoredDuringExecution extends ComplexComputedList {
    /**
     * @stability stable
     */
    get podAffinityTerm(): any;
    /**
     * @stability stable
     */
    get weight(): number;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecAffinityPodAffinityRequiredDuringSchedulingIgnoredDuringExecutionLabelSelectorMatchExpressions extends ComplexComputedList {
    /**
     * @stability stable
     */
    get key(): string;
    /**
     * @stability stable
     */
    get operator(): string;
    /**
     * @stability stable
     */
    get values(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecAffinityPodAffinityRequiredDuringSchedulingIgnoredDuringExecutionLabelSelector extends ComplexComputedList {
    /**
     * @stability stable
     */
    get matchExpressions(): any;
    /**
     * @stability stable
     */
    get matchLabels(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecAffinityPodAffinityRequiredDuringSchedulingIgnoredDuringExecution extends ComplexComputedList {
    /**
     * @stability stable
     */
    get labelSelector(): any;
    /**
     * @stability stable
     */
    get namespaces(): string[];
    /**
     * @stability stable
     */
    get topologyKey(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecAffinityPodAffinity extends ComplexComputedList {
    /**
     * @stability stable
     */
    get preferredDuringSchedulingIgnoredDuringExecution(): any;
    /**
     * @stability stable
     */
    get requiredDuringSchedulingIgnoredDuringExecution(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecAffinityPodAntiAffinityPreferredDuringSchedulingIgnoredDuringExecutionPodAffinityTermLabelSelectorMatchExpressions extends ComplexComputedList {
    /**
     * @stability stable
     */
    get key(): string;
    /**
     * @stability stable
     */
    get operator(): string;
    /**
     * @stability stable
     */
    get values(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecAffinityPodAntiAffinityPreferredDuringSchedulingIgnoredDuringExecutionPodAffinityTermLabelSelector extends ComplexComputedList {
    /**
     * @stability stable
     */
    get matchExpressions(): any;
    /**
     * @stability stable
     */
    get matchLabels(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecAffinityPodAntiAffinityPreferredDuringSchedulingIgnoredDuringExecutionPodAffinityTerm extends ComplexComputedList {
    /**
     * @stability stable
     */
    get labelSelector(): any;
    /**
     * @stability stable
     */
    get namespaces(): string[];
    /**
     * @stability stable
     */
    get topologyKey(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecAffinityPodAntiAffinityPreferredDuringSchedulingIgnoredDuringExecution extends ComplexComputedList {
    /**
     * @stability stable
     */
    get podAffinityTerm(): any;
    /**
     * @stability stable
     */
    get weight(): number;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecAffinityPodAntiAffinityRequiredDuringSchedulingIgnoredDuringExecutionLabelSelectorMatchExpressions extends ComplexComputedList {
    /**
     * @stability stable
     */
    get key(): string;
    /**
     * @stability stable
     */
    get operator(): string;
    /**
     * @stability stable
     */
    get values(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecAffinityPodAntiAffinityRequiredDuringSchedulingIgnoredDuringExecutionLabelSelector extends ComplexComputedList {
    /**
     * @stability stable
     */
    get matchExpressions(): any;
    /**
     * @stability stable
     */
    get matchLabels(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecAffinityPodAntiAffinityRequiredDuringSchedulingIgnoredDuringExecution extends ComplexComputedList {
    /**
     * @stability stable
     */
    get labelSelector(): any;
    /**
     * @stability stable
     */
    get namespaces(): string[];
    /**
     * @stability stable
     */
    get topologyKey(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecAffinityPodAntiAffinity extends ComplexComputedList {
    /**
     * @stability stable
     */
    get preferredDuringSchedulingIgnoredDuringExecution(): any;
    /**
     * @stability stable
     */
    get requiredDuringSchedulingIgnoredDuringExecution(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecAffinity extends ComplexComputedList {
    /**
     * @stability stable
     */
    get nodeAffinity(): any;
    /**
     * @stability stable
     */
    get podAffinity(): any;
    /**
     * @stability stable
     */
    get podAntiAffinity(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerEnvValueFromConfigMapKeyRef extends ComplexComputedList {
    /**
     * @stability stable
     */
    get key(): string;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get optional(): boolean;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerEnvValueFromFieldRef extends ComplexComputedList {
    /**
     * @stability stable
     */
    get apiVersion(): string;
    /**
     * @stability stable
     */
    get fieldPath(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerEnvValueFromResourceFieldRef extends ComplexComputedList {
    /**
     * @stability stable
     */
    get containerName(): string;
    /**
     * @stability stable
     */
    get resource(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerEnvValueFromSecretKeyRef extends ComplexComputedList {
    /**
     * @stability stable
     */
    get key(): string;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get optional(): boolean;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerEnvValueFrom extends ComplexComputedList {
    /**
     * @stability stable
     */
    get configMapKeyRef(): any;
    /**
     * @stability stable
     */
    get fieldRef(): any;
    /**
     * @stability stable
     */
    get resourceFieldRef(): any;
    /**
     * @stability stable
     */
    get secretKeyRef(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerEnv extends ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get value(): string;
    /**
     * @stability stable
     */
    get valueFrom(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerEnvFromConfigMapRef extends ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get optional(): boolean;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerEnvFromSecretRef extends ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get optional(): boolean;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerEnvFrom extends ComplexComputedList {
    /**
     * @stability stable
     */
    get configMapRef(): any;
    /**
     * @stability stable
     */
    get prefix(): string;
    /**
     * @stability stable
     */
    get secretRef(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerLifecyclePostStartExec extends ComplexComputedList {
    /**
     * @stability stable
     */
    get command(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerLifecyclePostStartHttpGetHttpHeader extends ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get value(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerLifecyclePostStartHttpGet extends ComplexComputedList {
    /**
     * @stability stable
     */
    get host(): string;
    /**
     * @stability stable
     */
    get httpHeader(): any;
    /**
     * @stability stable
     */
    get path(): string;
    /**
     * @stability stable
     */
    get port(): string;
    /**
     * @stability stable
     */
    get scheme(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerLifecyclePostStartTcpSocket extends ComplexComputedList {
    /**
     * @stability stable
     */
    get port(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerLifecyclePostStart extends ComplexComputedList {
    /**
     * @stability stable
     */
    get exec(): any;
    /**
     * @stability stable
     */
    get httpGet(): any;
    /**
     * @stability stable
     */
    get tcpSocket(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerLifecyclePreStopExec extends ComplexComputedList {
    /**
     * @stability stable
     */
    get command(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerLifecyclePreStopHttpGetHttpHeader extends ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get value(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerLifecyclePreStopHttpGet extends ComplexComputedList {
    /**
     * @stability stable
     */
    get host(): string;
    /**
     * @stability stable
     */
    get httpHeader(): any;
    /**
     * @stability stable
     */
    get path(): string;
    /**
     * @stability stable
     */
    get port(): string;
    /**
     * @stability stable
     */
    get scheme(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerLifecyclePreStopTcpSocket extends ComplexComputedList {
    /**
     * @stability stable
     */
    get port(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerLifecyclePreStop extends ComplexComputedList {
    /**
     * @stability stable
     */
    get exec(): any;
    /**
     * @stability stable
     */
    get httpGet(): any;
    /**
     * @stability stable
     */
    get tcpSocket(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerLifecycle extends ComplexComputedList {
    /**
     * @stability stable
     */
    get postStart(): any;
    /**
     * @stability stable
     */
    get preStop(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerLivenessProbeExec extends ComplexComputedList {
    /**
     * @stability stable
     */
    get command(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerLivenessProbeHttpGetHttpHeader extends ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get value(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerLivenessProbeHttpGet extends ComplexComputedList {
    /**
     * @stability stable
     */
    get host(): string;
    /**
     * @stability stable
     */
    get httpHeader(): any;
    /**
     * @stability stable
     */
    get path(): string;
    /**
     * @stability stable
     */
    get port(): string;
    /**
     * @stability stable
     */
    get scheme(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerLivenessProbeTcpSocket extends ComplexComputedList {
    /**
     * @stability stable
     */
    get port(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerLivenessProbe extends ComplexComputedList {
    /**
     * @stability stable
     */
    get exec(): any;
    /**
     * @stability stable
     */
    get failureThreshold(): number;
    /**
     * @stability stable
     */
    get httpGet(): any;
    /**
     * @stability stable
     */
    get initialDelaySeconds(): number;
    /**
     * @stability stable
     */
    get periodSeconds(): number;
    /**
     * @stability stable
     */
    get successThreshold(): number;
    /**
     * @stability stable
     */
    get tcpSocket(): any;
    /**
     * @stability stable
     */
    get timeoutSeconds(): number;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerPort extends ComplexComputedList {
    /**
     * @stability stable
     */
    get containerPort(): number;
    /**
     * @stability stable
     */
    get hostIp(): string;
    /**
     * @stability stable
     */
    get hostPort(): number;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get protocol(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerReadinessProbeExec extends ComplexComputedList {
    /**
     * @stability stable
     */
    get command(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerReadinessProbeHttpGetHttpHeader extends ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get value(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerReadinessProbeHttpGet extends ComplexComputedList {
    /**
     * @stability stable
     */
    get host(): string;
    /**
     * @stability stable
     */
    get httpHeader(): any;
    /**
     * @stability stable
     */
    get path(): string;
    /**
     * @stability stable
     */
    get port(): string;
    /**
     * @stability stable
     */
    get scheme(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerReadinessProbeTcpSocket extends ComplexComputedList {
    /**
     * @stability stable
     */
    get port(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerReadinessProbe extends ComplexComputedList {
    /**
     * @stability stable
     */
    get exec(): any;
    /**
     * @stability stable
     */
    get failureThreshold(): number;
    /**
     * @stability stable
     */
    get httpGet(): any;
    /**
     * @stability stable
     */
    get initialDelaySeconds(): number;
    /**
     * @stability stable
     */
    get periodSeconds(): number;
    /**
     * @stability stable
     */
    get successThreshold(): number;
    /**
     * @stability stable
     */
    get tcpSocket(): any;
    /**
     * @stability stable
     */
    get timeoutSeconds(): number;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerResourcesLimits extends ComplexComputedList {
    /**
     * @stability stable
     */
    get cpu(): string;
    /**
     * @stability stable
     */
    get memory(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerResourcesRequests extends ComplexComputedList {
    /**
     * @stability stable
     */
    get cpu(): string;
    /**
     * @stability stable
     */
    get memory(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerResources extends ComplexComputedList {
    /**
     * @stability stable
     */
    get limits(): any;
    /**
     * @stability stable
     */
    get requests(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerSecurityContextCapabilities extends ComplexComputedList {
    /**
     * @stability stable
     */
    get add(): string[];
    /**
     * @stability stable
     */
    get drop(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerSecurityContextSeLinuxOptions extends ComplexComputedList {
    /**
     * @stability stable
     */
    get level(): string;
    /**
     * @stability stable
     */
    get role(): string;
    /**
     * @stability stable
     */
    get type(): string;
    /**
     * @stability stable
     */
    get user(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerSecurityContext extends ComplexComputedList {
    /**
     * @stability stable
     */
    get allowPrivilegeEscalation(): boolean;
    /**
     * @stability stable
     */
    get capabilities(): any;
    /**
     * @stability stable
     */
    get privileged(): boolean;
    /**
     * @stability stable
     */
    get readOnlyRootFilesystem(): boolean;
    /**
     * @stability stable
     */
    get runAsGroup(): number;
    /**
     * @stability stable
     */
    get runAsNonRoot(): boolean;
    /**
     * @stability stable
     */
    get runAsUser(): number;
    /**
     * @stability stable
     */
    get seLinuxOptions(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerStartupProbeExec extends ComplexComputedList {
    /**
     * @stability stable
     */
    get command(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerStartupProbeHttpGetHttpHeader extends ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get value(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerStartupProbeHttpGet extends ComplexComputedList {
    /**
     * @stability stable
     */
    get host(): string;
    /**
     * @stability stable
     */
    get httpHeader(): any;
    /**
     * @stability stable
     */
    get path(): string;
    /**
     * @stability stable
     */
    get port(): string;
    /**
     * @stability stable
     */
    get scheme(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerStartupProbeTcpSocket extends ComplexComputedList {
    /**
     * @stability stable
     */
    get port(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerStartupProbe extends ComplexComputedList {
    /**
     * @stability stable
     */
    get exec(): any;
    /**
     * @stability stable
     */
    get failureThreshold(): number;
    /**
     * @stability stable
     */
    get httpGet(): any;
    /**
     * @stability stable
     */
    get initialDelaySeconds(): number;
    /**
     * @stability stable
     */
    get periodSeconds(): number;
    /**
     * @stability stable
     */
    get successThreshold(): number;
    /**
     * @stability stable
     */
    get tcpSocket(): any;
    /**
     * @stability stable
     */
    get timeoutSeconds(): number;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainerVolumeMount extends ComplexComputedList {
    /**
     * @stability stable
     */
    get mountPath(): string;
    /**
     * @stability stable
     */
    get mountPropagation(): string;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get readOnly(): boolean;
    /**
     * @stability stable
     */
    get subPath(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecContainer extends ComplexComputedList {
    /**
     * @stability stable
     */
    get args(): string[];
    /**
     * @stability stable
     */
    get command(): string[];
    /**
     * @stability stable
     */
    get env(): any;
    /**
     * @stability stable
     */
    get envFrom(): any;
    /**
     * @stability stable
     */
    get image(): string;
    /**
     * @stability stable
     */
    get imagePullPolicy(): string;
    /**
     * @stability stable
     */
    get lifecycle(): any;
    /**
     * @stability stable
     */
    get livenessProbe(): any;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get port(): any;
    /**
     * @stability stable
     */
    get readinessProbe(): any;
    /**
     * @stability stable
     */
    get resources(): any;
    /**
     * @stability stable
     */
    get securityContext(): any;
    /**
     * @stability stable
     */
    get startupProbe(): any;
    /**
     * @stability stable
     */
    get stdin(): boolean;
    /**
     * @stability stable
     */
    get stdinOnce(): boolean;
    /**
     * @stability stable
     */
    get terminationMessagePath(): string;
    /**
     * @stability stable
     */
    get terminationMessagePolicy(): string;
    /**
     * @stability stable
     */
    get tty(): boolean;
    /**
     * @stability stable
     */
    get volumeMount(): any;
    /**
     * @stability stable
     */
    get workingDir(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecDnsConfigOption extends ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get value(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecDnsConfig extends ComplexComputedList {
    /**
     * @stability stable
     */
    get nameservers(): string[];
    /**
     * @stability stable
     */
    get option(): any;
    /**
     * @stability stable
     */
    get searches(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecHostAliases extends ComplexComputedList {
    /**
     * @stability stable
     */
    get hostnames(): string[];
    /**
     * @stability stable
     */
    get ip(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecImagePullSecrets extends ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerEnvValueFromConfigMapKeyRef extends ComplexComputedList {
    /**
     * @stability stable
     */
    get key(): string;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get optional(): boolean;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerEnvValueFromFieldRef extends ComplexComputedList {
    /**
     * @stability stable
     */
    get apiVersion(): string;
    /**
     * @stability stable
     */
    get fieldPath(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerEnvValueFromResourceFieldRef extends ComplexComputedList {
    /**
     * @stability stable
     */
    get containerName(): string;
    /**
     * @stability stable
     */
    get resource(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerEnvValueFromSecretKeyRef extends ComplexComputedList {
    /**
     * @stability stable
     */
    get key(): string;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get optional(): boolean;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerEnvValueFrom extends ComplexComputedList {
    /**
     * @stability stable
     */
    get configMapKeyRef(): any;
    /**
     * @stability stable
     */
    get fieldRef(): any;
    /**
     * @stability stable
     */
    get resourceFieldRef(): any;
    /**
     * @stability stable
     */
    get secretKeyRef(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerEnv extends ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get value(): string;
    /**
     * @stability stable
     */
    get valueFrom(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerEnvFromConfigMapRef extends ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get optional(): boolean;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerEnvFromSecretRef extends ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get optional(): boolean;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerEnvFrom extends ComplexComputedList {
    /**
     * @stability stable
     */
    get configMapRef(): any;
    /**
     * @stability stable
     */
    get prefix(): string;
    /**
     * @stability stable
     */
    get secretRef(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerLifecyclePostStartExec extends ComplexComputedList {
    /**
     * @stability stable
     */
    get command(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerLifecyclePostStartHttpGetHttpHeader extends ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get value(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerLifecyclePostStartHttpGet extends ComplexComputedList {
    /**
     * @stability stable
     */
    get host(): string;
    /**
     * @stability stable
     */
    get httpHeader(): any;
    /**
     * @stability stable
     */
    get path(): string;
    /**
     * @stability stable
     */
    get port(): string;
    /**
     * @stability stable
     */
    get scheme(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerLifecyclePostStartTcpSocket extends ComplexComputedList {
    /**
     * @stability stable
     */
    get port(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerLifecyclePostStart extends ComplexComputedList {
    /**
     * @stability stable
     */
    get exec(): any;
    /**
     * @stability stable
     */
    get httpGet(): any;
    /**
     * @stability stable
     */
    get tcpSocket(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerLifecyclePreStopExec extends ComplexComputedList {
    /**
     * @stability stable
     */
    get command(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerLifecyclePreStopHttpGetHttpHeader extends ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get value(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerLifecyclePreStopHttpGet extends ComplexComputedList {
    /**
     * @stability stable
     */
    get host(): string;
    /**
     * @stability stable
     */
    get httpHeader(): any;
    /**
     * @stability stable
     */
    get path(): string;
    /**
     * @stability stable
     */
    get port(): string;
    /**
     * @stability stable
     */
    get scheme(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerLifecyclePreStopTcpSocket extends ComplexComputedList {
    /**
     * @stability stable
     */
    get port(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerLifecyclePreStop extends ComplexComputedList {
    /**
     * @stability stable
     */
    get exec(): any;
    /**
     * @stability stable
     */
    get httpGet(): any;
    /**
     * @stability stable
     */
    get tcpSocket(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerLifecycle extends ComplexComputedList {
    /**
     * @stability stable
     */
    get postStart(): any;
    /**
     * @stability stable
     */
    get preStop(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerLivenessProbeExec extends ComplexComputedList {
    /**
     * @stability stable
     */
    get command(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerLivenessProbeHttpGetHttpHeader extends ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get value(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerLivenessProbeHttpGet extends ComplexComputedList {
    /**
     * @stability stable
     */
    get host(): string;
    /**
     * @stability stable
     */
    get httpHeader(): any;
    /**
     * @stability stable
     */
    get path(): string;
    /**
     * @stability stable
     */
    get port(): string;
    /**
     * @stability stable
     */
    get scheme(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerLivenessProbeTcpSocket extends ComplexComputedList {
    /**
     * @stability stable
     */
    get port(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerLivenessProbe extends ComplexComputedList {
    /**
     * @stability stable
     */
    get exec(): any;
    /**
     * @stability stable
     */
    get failureThreshold(): number;
    /**
     * @stability stable
     */
    get httpGet(): any;
    /**
     * @stability stable
     */
    get initialDelaySeconds(): number;
    /**
     * @stability stable
     */
    get periodSeconds(): number;
    /**
     * @stability stable
     */
    get successThreshold(): number;
    /**
     * @stability stable
     */
    get tcpSocket(): any;
    /**
     * @stability stable
     */
    get timeoutSeconds(): number;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerPort extends ComplexComputedList {
    /**
     * @stability stable
     */
    get containerPort(): number;
    /**
     * @stability stable
     */
    get hostIp(): string;
    /**
     * @stability stable
     */
    get hostPort(): number;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get protocol(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerReadinessProbeExec extends ComplexComputedList {
    /**
     * @stability stable
     */
    get command(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerReadinessProbeHttpGetHttpHeader extends ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get value(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerReadinessProbeHttpGet extends ComplexComputedList {
    /**
     * @stability stable
     */
    get host(): string;
    /**
     * @stability stable
     */
    get httpHeader(): any;
    /**
     * @stability stable
     */
    get path(): string;
    /**
     * @stability stable
     */
    get port(): string;
    /**
     * @stability stable
     */
    get scheme(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerReadinessProbeTcpSocket extends ComplexComputedList {
    /**
     * @stability stable
     */
    get port(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerReadinessProbe extends ComplexComputedList {
    /**
     * @stability stable
     */
    get exec(): any;
    /**
     * @stability stable
     */
    get failureThreshold(): number;
    /**
     * @stability stable
     */
    get httpGet(): any;
    /**
     * @stability stable
     */
    get initialDelaySeconds(): number;
    /**
     * @stability stable
     */
    get periodSeconds(): number;
    /**
     * @stability stable
     */
    get successThreshold(): number;
    /**
     * @stability stable
     */
    get tcpSocket(): any;
    /**
     * @stability stable
     */
    get timeoutSeconds(): number;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerResourcesLimits extends ComplexComputedList {
    /**
     * @stability stable
     */
    get cpu(): string;
    /**
     * @stability stable
     */
    get memory(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerResourcesRequests extends ComplexComputedList {
    /**
     * @stability stable
     */
    get cpu(): string;
    /**
     * @stability stable
     */
    get memory(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerResources extends ComplexComputedList {
    /**
     * @stability stable
     */
    get limits(): any;
    /**
     * @stability stable
     */
    get requests(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerSecurityContextCapabilities extends ComplexComputedList {
    /**
     * @stability stable
     */
    get add(): string[];
    /**
     * @stability stable
     */
    get drop(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerSecurityContextSeLinuxOptions extends ComplexComputedList {
    /**
     * @stability stable
     */
    get level(): string;
    /**
     * @stability stable
     */
    get role(): string;
    /**
     * @stability stable
     */
    get type(): string;
    /**
     * @stability stable
     */
    get user(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerSecurityContext extends ComplexComputedList {
    /**
     * @stability stable
     */
    get allowPrivilegeEscalation(): boolean;
    /**
     * @stability stable
     */
    get capabilities(): any;
    /**
     * @stability stable
     */
    get privileged(): boolean;
    /**
     * @stability stable
     */
    get readOnlyRootFilesystem(): boolean;
    /**
     * @stability stable
     */
    get runAsGroup(): number;
    /**
     * @stability stable
     */
    get runAsNonRoot(): boolean;
    /**
     * @stability stable
     */
    get runAsUser(): number;
    /**
     * @stability stable
     */
    get seLinuxOptions(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerStartupProbeExec extends ComplexComputedList {
    /**
     * @stability stable
     */
    get command(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerStartupProbeHttpGetHttpHeader extends ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get value(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerStartupProbeHttpGet extends ComplexComputedList {
    /**
     * @stability stable
     */
    get host(): string;
    /**
     * @stability stable
     */
    get httpHeader(): any;
    /**
     * @stability stable
     */
    get path(): string;
    /**
     * @stability stable
     */
    get port(): string;
    /**
     * @stability stable
     */
    get scheme(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerStartupProbeTcpSocket extends ComplexComputedList {
    /**
     * @stability stable
     */
    get port(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerStartupProbe extends ComplexComputedList {
    /**
     * @stability stable
     */
    get exec(): any;
    /**
     * @stability stable
     */
    get failureThreshold(): number;
    /**
     * @stability stable
     */
    get httpGet(): any;
    /**
     * @stability stable
     */
    get initialDelaySeconds(): number;
    /**
     * @stability stable
     */
    get periodSeconds(): number;
    /**
     * @stability stable
     */
    get successThreshold(): number;
    /**
     * @stability stable
     */
    get tcpSocket(): any;
    /**
     * @stability stable
     */
    get timeoutSeconds(): number;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainerVolumeMount extends ComplexComputedList {
    /**
     * @stability stable
     */
    get mountPath(): string;
    /**
     * @stability stable
     */
    get mountPropagation(): string;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get readOnly(): boolean;
    /**
     * @stability stable
     */
    get subPath(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecInitContainer extends ComplexComputedList {
    /**
     * @stability stable
     */
    get args(): string[];
    /**
     * @stability stable
     */
    get command(): string[];
    /**
     * @stability stable
     */
    get env(): any;
    /**
     * @stability stable
     */
    get envFrom(): any;
    /**
     * @stability stable
     */
    get image(): string;
    /**
     * @stability stable
     */
    get imagePullPolicy(): string;
    /**
     * @stability stable
     */
    get lifecycle(): any;
    /**
     * @stability stable
     */
    get livenessProbe(): any;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get port(): any;
    /**
     * @stability stable
     */
    get readinessProbe(): any;
    /**
     * @stability stable
     */
    get resources(): any;
    /**
     * @stability stable
     */
    get securityContext(): any;
    /**
     * @stability stable
     */
    get startupProbe(): any;
    /**
     * @stability stable
     */
    get stdin(): boolean;
    /**
     * @stability stable
     */
    get stdinOnce(): boolean;
    /**
     * @stability stable
     */
    get terminationMessagePath(): string;
    /**
     * @stability stable
     */
    get terminationMessagePolicy(): string;
    /**
     * @stability stable
     */
    get tty(): boolean;
    /**
     * @stability stable
     */
    get volumeMount(): any;
    /**
     * @stability stable
     */
    get workingDir(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecReadinessGate extends ComplexComputedList {
    /**
     * @stability stable
     */
    get conditionType(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecSecurityContextSeLinuxOptions extends ComplexComputedList {
    /**
     * @stability stable
     */
    get level(): string;
    /**
     * @stability stable
     */
    get role(): string;
    /**
     * @stability stable
     */
    get type(): string;
    /**
     * @stability stable
     */
    get user(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecSecurityContextSysctl extends ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get value(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecSecurityContext extends ComplexComputedList {
    /**
     * @stability stable
     */
    get fsGroup(): number;
    /**
     * @stability stable
     */
    get runAsGroup(): number;
    /**
     * @stability stable
     */
    get runAsNonRoot(): boolean;
    /**
     * @stability stable
     */
    get runAsUser(): number;
    /**
     * @stability stable
     */
    get seLinuxOptions(): any;
    /**
     * @stability stable
     */
    get supplementalGroups(): any;
    /**
     * @stability stable
     */
    get sysctl(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecToleration extends ComplexComputedList {
    /**
     * @stability stable
     */
    get effect(): string;
    /**
     * @stability stable
     */
    get key(): string;
    /**
     * @stability stable
     */
    get operator(): string;
    /**
     * @stability stable
     */
    get tolerationSeconds(): string;
    /**
     * @stability stable
     */
    get value(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeAwsElasticBlockStore extends ComplexComputedList {
    /**
     * @stability stable
     */
    get fsType(): string;
    /**
     * @stability stable
     */
    get partition(): number;
    /**
     * @stability stable
     */
    get readOnly(): boolean;
    /**
     * @stability stable
     */
    get volumeId(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeAzureDisk extends ComplexComputedList {
    /**
     * @stability stable
     */
    get cachingMode(): string;
    /**
     * @stability stable
     */
    get dataDiskUri(): string;
    /**
     * @stability stable
     */
    get diskName(): string;
    /**
     * @stability stable
     */
    get fsType(): string;
    /**
     * @stability stable
     */
    get kind(): string;
    /**
     * @stability stable
     */
    get readOnly(): boolean;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeAzureFile extends ComplexComputedList {
    /**
     * @stability stable
     */
    get readOnly(): boolean;
    /**
     * @stability stable
     */
    get secretName(): string;
    /**
     * @stability stable
     */
    get shareName(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeCephFsSecretRef extends ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get namespace(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeCephFs extends ComplexComputedList {
    /**
     * @stability stable
     */
    get monitors(): string[];
    /**
     * @stability stable
     */
    get path(): string;
    /**
     * @stability stable
     */
    get readOnly(): boolean;
    /**
     * @stability stable
     */
    get secretFile(): string;
    /**
     * @stability stable
     */
    get secretRef(): any;
    /**
     * @stability stable
     */
    get user(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeCinder extends ComplexComputedList {
    /**
     * @stability stable
     */
    get fsType(): string;
    /**
     * @stability stable
     */
    get readOnly(): boolean;
    /**
     * @stability stable
     */
    get volumeId(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeConfigMapItems extends ComplexComputedList {
    /**
     * @stability stable
     */
    get key(): string;
    /**
     * @stability stable
     */
    get mode(): string;
    /**
     * @stability stable
     */
    get path(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeConfigMap extends ComplexComputedList {
    /**
     * @stability stable
     */
    get defaultMode(): string;
    /**
     * @stability stable
     */
    get items(): any;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get optional(): boolean;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeCsiControllerExpandSecretRef extends ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get namespace(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeCsiControllerPublishSecretRef extends ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get namespace(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeCsiNodePublishSecretRef extends ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get namespace(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeCsiNodeStageSecretRef extends ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get namespace(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeCsi extends ComplexComputedList {
    /**
     * @stability stable
     */
    get controllerExpandSecretRef(): any;
    /**
     * @stability stable
     */
    get controllerPublishSecretRef(): any;
    /**
     * @stability stable
     */
    get driver(): string;
    /**
     * @stability stable
     */
    get fsType(): string;
    /**
     * @stability stable
     */
    get nodePublishSecretRef(): any;
    /**
     * @stability stable
     */
    get nodeStageSecretRef(): any;
    /**
     * @stability stable
     */
    get readOnly(): boolean;
    /**
     * @stability stable
     */
    get volumeAttributes(): any;
    /**
     * @stability stable
     */
    get volumeHandle(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeDownwardApiItemsFieldRef extends ComplexComputedList {
    /**
     * @stability stable
     */
    get apiVersion(): string;
    /**
     * @stability stable
     */
    get fieldPath(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeDownwardApiItemsResourceFieldRef extends ComplexComputedList {
    /**
     * @stability stable
     */
    get containerName(): string;
    /**
     * @stability stable
     */
    get quantity(): string;
    /**
     * @stability stable
     */
    get resource(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeDownwardApiItems extends ComplexComputedList {
    /**
     * @stability stable
     */
    get fieldRef(): any;
    /**
     * @stability stable
     */
    get mode(): string;
    /**
     * @stability stable
     */
    get path(): string;
    /**
     * @stability stable
     */
    get resourceFieldRef(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeDownwardApi extends ComplexComputedList {
    /**
     * @stability stable
     */
    get defaultMode(): string;
    /**
     * @stability stable
     */
    get items(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeEmptyDir extends ComplexComputedList {
    /**
     * @stability stable
     */
    get medium(): string;
    /**
     * @stability stable
     */
    get sizeLimit(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeFc extends ComplexComputedList {
    /**
     * @stability stable
     */
    get fsType(): string;
    /**
     * @stability stable
     */
    get lun(): number;
    /**
     * @stability stable
     */
    get readOnly(): boolean;
    /**
     * @stability stable
     */
    get targetWwNs(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeFlexVolumeSecretRef extends ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get namespace(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeFlexVolume extends ComplexComputedList {
    /**
     * @stability stable
     */
    get driver(): string;
    /**
     * @stability stable
     */
    get fsType(): string;
    /**
     * @stability stable
     */
    get options(): any;
    /**
     * @stability stable
     */
    get readOnly(): boolean;
    /**
     * @stability stable
     */
    get secretRef(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeFlocker extends ComplexComputedList {
    /**
     * @stability stable
     */
    get datasetName(): string;
    /**
     * @stability stable
     */
    get datasetUuid(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeGcePersistentDisk extends ComplexComputedList {
    /**
     * @stability stable
     */
    get fsType(): string;
    /**
     * @stability stable
     */
    get partition(): number;
    /**
     * @stability stable
     */
    get pdName(): string;
    /**
     * @stability stable
     */
    get readOnly(): boolean;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeGitRepo extends ComplexComputedList {
    /**
     * @stability stable
     */
    get directory(): string;
    /**
     * @stability stable
     */
    get repository(): string;
    /**
     * @stability stable
     */
    get revision(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeGlusterfs extends ComplexComputedList {
    /**
     * @stability stable
     */
    get endpointsName(): string;
    /**
     * @stability stable
     */
    get path(): string;
    /**
     * @stability stable
     */
    get readOnly(): boolean;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeHostPath extends ComplexComputedList {
    /**
     * @stability stable
     */
    get path(): string;
    /**
     * @stability stable
     */
    get type(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeIscsi extends ComplexComputedList {
    /**
     * @stability stable
     */
    get fsType(): string;
    /**
     * @stability stable
     */
    get iqn(): string;
    /**
     * @stability stable
     */
    get iscsiInterface(): string;
    /**
     * @stability stable
     */
    get lun(): number;
    /**
     * @stability stable
     */
    get readOnly(): boolean;
    /**
     * @stability stable
     */
    get targetPortal(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeLocal extends ComplexComputedList {
    /**
     * @stability stable
     */
    get path(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeNfs extends ComplexComputedList {
    /**
     * @stability stable
     */
    get path(): string;
    /**
     * @stability stable
     */
    get readOnly(): boolean;
    /**
     * @stability stable
     */
    get server(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumePersistentVolumeClaim extends ComplexComputedList {
    /**
     * @stability stable
     */
    get claimName(): string;
    /**
     * @stability stable
     */
    get readOnly(): boolean;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumePhotonPersistentDisk extends ComplexComputedList {
    /**
     * @stability stable
     */
    get fsType(): string;
    /**
     * @stability stable
     */
    get pdId(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeProjectedSourcesConfigMapItems extends ComplexComputedList {
    /**
     * @stability stable
     */
    get key(): string;
    /**
     * @stability stable
     */
    get mode(): string;
    /**
     * @stability stable
     */
    get path(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeProjectedSourcesConfigMap extends ComplexComputedList {
    /**
     * @stability stable
     */
    get items(): any;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get optional(): boolean;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeProjectedSourcesDownwardApiItemsFieldRef extends ComplexComputedList {
    /**
     * @stability stable
     */
    get apiVersion(): string;
    /**
     * @stability stable
     */
    get fieldPath(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeProjectedSourcesDownwardApiItemsResourceFieldRef extends ComplexComputedList {
    /**
     * @stability stable
     */
    get containerName(): string;
    /**
     * @stability stable
     */
    get quantity(): string;
    /**
     * @stability stable
     */
    get resource(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeProjectedSourcesDownwardApiItems extends ComplexComputedList {
    /**
     * @stability stable
     */
    get fieldRef(): any;
    /**
     * @stability stable
     */
    get mode(): string;
    /**
     * @stability stable
     */
    get path(): string;
    /**
     * @stability stable
     */
    get resourceFieldRef(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeProjectedSourcesDownwardApi extends ComplexComputedList {
    /**
     * @stability stable
     */
    get items(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeProjectedSourcesSecretItems extends ComplexComputedList {
    /**
     * @stability stable
     */
    get key(): string;
    /**
     * @stability stable
     */
    get mode(): string;
    /**
     * @stability stable
     */
    get path(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeProjectedSourcesSecret extends ComplexComputedList {
    /**
     * @stability stable
     */
    get items(): any;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get optional(): boolean;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeProjectedSourcesServiceAccountToken extends ComplexComputedList {
    /**
     * @stability stable
     */
    get audience(): string;
    /**
     * @stability stable
     */
    get expirationSeconds(): number;
    /**
     * @stability stable
     */
    get path(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeProjectedSources extends ComplexComputedList {
    /**
     * @stability stable
     */
    get configMap(): any;
    /**
     * @stability stable
     */
    get downwardApi(): any;
    /**
     * @stability stable
     */
    get secret(): any;
    /**
     * @stability stable
     */
    get serviceAccountToken(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeProjected extends ComplexComputedList {
    /**
     * @stability stable
     */
    get defaultMode(): string;
    /**
     * @stability stable
     */
    get sources(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeQuobyte extends ComplexComputedList {
    /**
     * @stability stable
     */
    get group(): string;
    /**
     * @stability stable
     */
    get readOnly(): boolean;
    /**
     * @stability stable
     */
    get registry(): string;
    /**
     * @stability stable
     */
    get user(): string;
    /**
     * @stability stable
     */
    get volume(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeRbdSecretRef extends ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get namespace(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeRbd extends ComplexComputedList {
    /**
     * @stability stable
     */
    get cephMonitors(): string[];
    /**
     * @stability stable
     */
    get fsType(): string;
    /**
     * @stability stable
     */
    get keyring(): string;
    /**
     * @stability stable
     */
    get radosUser(): string;
    /**
     * @stability stable
     */
    get rbdImage(): string;
    /**
     * @stability stable
     */
    get rbdPool(): string;
    /**
     * @stability stable
     */
    get readOnly(): boolean;
    /**
     * @stability stable
     */
    get secretRef(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeSecretItems extends ComplexComputedList {
    /**
     * @stability stable
     */
    get key(): string;
    /**
     * @stability stable
     */
    get mode(): string;
    /**
     * @stability stable
     */
    get path(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeSecret extends ComplexComputedList {
    /**
     * @stability stable
     */
    get defaultMode(): string;
    /**
     * @stability stable
     */
    get items(): any;
    /**
     * @stability stable
     */
    get optional(): boolean;
    /**
     * @stability stable
     */
    get secretName(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolumeVsphereVolume extends ComplexComputedList {
    /**
     * @stability stable
     */
    get fsType(): string;
    /**
     * @stability stable
     */
    get volumePath(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpecVolume extends ComplexComputedList {
    /**
     * @stability stable
     */
    get awsElasticBlockStore(): any;
    /**
     * @stability stable
     */
    get azureDisk(): any;
    /**
     * @stability stable
     */
    get azureFile(): any;
    /**
     * @stability stable
     */
    get cephFs(): any;
    /**
     * @stability stable
     */
    get cinder(): any;
    /**
     * @stability stable
     */
    get configMap(): any;
    /**
     * @stability stable
     */
    get csi(): any;
    /**
     * @stability stable
     */
    get downwardApi(): any;
    /**
     * @stability stable
     */
    get emptyDir(): any;
    /**
     * @stability stable
     */
    get fc(): any;
    /**
     * @stability stable
     */
    get flexVolume(): any;
    /**
     * @stability stable
     */
    get flocker(): any;
    /**
     * @stability stable
     */
    get gcePersistentDisk(): any;
    /**
     * @stability stable
     */
    get gitRepo(): any;
    /**
     * @stability stable
     */
    get glusterfs(): any;
    /**
     * @stability stable
     */
    get hostPath(): any;
    /**
     * @stability stable
     */
    get iscsi(): any;
    /**
     * @stability stable
     */
    get local(): any;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get nfs(): any;
    /**
     * @stability stable
     */
    get persistentVolumeClaim(): any;
    /**
     * @stability stable
     */
    get photonPersistentDisk(): any;
    /**
     * @stability stable
     */
    get projected(): any;
    /**
     * @stability stable
     */
    get quobyte(): any;
    /**
     * @stability stable
     */
    get rbd(): any;
    /**
     * @stability stable
     */
    get secret(): any;
    /**
     * @stability stable
     */
    get vsphereVolume(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodSpec extends ComplexComputedList {
    /**
     * @stability stable
     */
    get activeDeadlineSeconds(): number;
    /**
     * @stability stable
     */
    get affinity(): any;
    /**
     * @stability stable
     */
    get automountServiceAccountToken(): boolean;
    /**
     * @stability stable
     */
    get container(): any;
    /**
     * @stability stable
     */
    get dnsConfig(): any;
    /**
     * @stability stable
     */
    get dnsPolicy(): string;
    /**
     * @stability stable
     */
    get enableServiceLinks(): boolean;
    /**
     * @stability stable
     */
    get hostAliases(): any;
    /**
     * @stability stable
     */
    get hostIpc(): boolean;
    /**
     * @stability stable
     */
    get hostNetwork(): boolean;
    /**
     * @stability stable
     */
    get hostPid(): boolean;
    /**
     * @stability stable
     */
    get hostname(): string;
    /**
     * @stability stable
     */
    get imagePullSecrets(): any;
    /**
     * @stability stable
     */
    get initContainer(): any;
    /**
     * @stability stable
     */
    get nodeName(): string;
    /**
     * @stability stable
     */
    get nodeSelector(): any;
    /**
     * @stability stable
     */
    get priorityClassName(): string;
    /**
     * @stability stable
     */
    get readinessGate(): any;
    /**
     * @stability stable
     */
    get restartPolicy(): string;
    /**
     * @stability stable
     */
    get securityContext(): any;
    /**
     * @stability stable
     */
    get serviceAccountName(): string;
    /**
     * @stability stable
     */
    get shareProcessNamespace(): boolean;
    /**
     * @stability stable
     */
    get subdomain(): string;
    /**
     * @stability stable
     */
    get terminationGracePeriodSeconds(): number;
    /**
     * @stability stable
     */
    get toleration(): any;
    /**
     * @stability stable
     */
    get volume(): any;
}
/**
 * @stability stable
 */
export interface DataKubernetesPodMetadata {
    /**
     * An unstructured key value map stored with the pod that may be used to store arbitrary metadata.
     *
     * More info: http://kubernetes.io/docs/user-guide/annotations
     *
     * @stability stable
     */
    readonly annotations?: {
        [key: string]: string;
    };
    /**
     * Prefix, used by the server, to generate a unique name ONLY IF the `name` field has not been provided.
     *
     * This value will also be combined with a unique suffix. Read more: https://github.com/kubernetes/community/blob/master/contributors/devel/sig-architecture/api-conventions.md#idempotency
     *
     * @stability stable
     */
    readonly generateName?: string;
    /**
     * Map of string keys and values that can be used to organize and categorize (scope and select) the pod.
     *
     * May match selectors of replication controllers and services. More info: http://kubernetes.io/docs/user-guide/labels
     *
     * @stability stable
     */
    readonly labels?: {
        [key: string]: string;
    };
    /**
     * Name of the pod, must be unique.
     *
     * Cannot be updated. More info: http://kubernetes.io/docs/user-guide/identifiers#names
     *
     * @stability stable
     */
    readonly name?: string;
    /**
     * Namespace defines the space within which name of the pod must be unique.
     *
     * @stability stable
     */
    readonly namespace?: string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPod extends TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataKubernetesPodConfig);
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    spec(index: string): DataKubernetesPodSpec;
    /**
     * @stability stable
     */
    get status(): string;
    private _metadata;
    /**
     * @stability stable
     */
    get metadata(): DataKubernetesPodMetadata[];
    /**
     * @stability stable
     */
    set metadata(value: DataKubernetesPodMetadata[]);
    /**
     * @stability stable
     */
    get metadataInput(): DataKubernetesPodMetadata[];
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
